// pages/blackprint/blackprint.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    price:[{
      before:'A3·黑白·单面',
      after:"￥0.50/张"
      },{
      before:'A3·黑白·单面（一次性打印≥5张）',
      after:"￥0.40/张"
      },{
      before:'A3·黑白·双面',
      after:"￥1.00/张"
      },{
      before:'A3·黑白·双面（一次性打印≥5张）',
      after:"￥0.70/张"
      },{
      before:'A4·黑白·单面',
      after:"￥0.25/张"
      },{
      before:'A4·黑白·单面（一次性打印≥5张）',
      after:"￥0.20/张"
      },{
      before:'A4·黑白·双面',
      after:"￥0.36/张"
      },{
      before:'A4·黑白·双面（一次性打印≥5张）',
      after:"￥0.30/张"
      },{
      before:'B5·黑白·单面',
      after:"￥0.25/张"
      },{
      before:'B5·黑白·双面',
      after:"￥0.30/张"
      }],

      showModal: false,
      modeType: 0,

  },

  // 弹窗
  topopup: function () {
    this.setData({
      modeType: 0,
      showModal: true
    })
  },

  // 弹窗关闭
  toclose: function () {
    this.setData({
      showModal: false
    })
  },

  // 选择文件
  tochoosefile: function () {
    wx.showToast({title: '获取价格表', icon: 'loading',duration:10000});
    var that=this
    var app=getApp()
    wx.request({
      url:  'http://127.0.0.1'+':8001/price', // 仅为示例，并非真实的接口地址
      data: {
        "nishisha":"hehe"
      },
      header: {
        'content-type': 'application/json' // 默认值
      },
      success(res) {
        console.log(res.data["data"])
        that.setData({
          price:res.data["data"]
        })
      },
     fail(res){
        wx.showToast({
          title: '网络错误！',
          icon: 'none',
          duration: 2000
        })            
      }
    })
    wx.hideToast();
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
 
  },
  

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {


  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})